@echo off

set T=c:\TEMP
set TOOLS=c:\tools

echo ####### %0 #######

takeown /F c:\*.txt /A
icacls c:\*.txt /inheritance:r
icacls c:\*.txt /grant Administrators:F
icacls c:\*.txt /grant Users:RX

echo.
takeown /F %T% /R /A /D Y 1>nul
icacls %T% /inheritance:r
icacls %T% /grant Administrators:F /t /c /l 1>nul
icacls %T% /grant Users:RX /t /c /l 1>nul

echo.
takeown /F %TOOLS% /R /A /D Y 1>nul
icacls %TOOLS% /inheritance:r
icacls %TOOLS% /grant Administrators:F /t /c /l 1>nul
icacls %TOOLS% /grant Users:RX /t /c /l 1>nul

echo.
echo ####### %0 #######

